#!/usr/bin/python
#
import onap_tests.scenario.onboard as onboard
import logging
import logging.config
import time
import sys
import pkg_resources
import onap_tests.utils.utils as onap_utils


def check_toscafile(servname):
        # Check the presence of the main parts of produced tosca file
        # before launching instantiation
        #exitStatus=0
        try:
            vnf_list = list(onap_utils.get_template_param(
                servname,
                "topology_template.node_templates"))
            vf_module_list = list(onap_utils.get_template_param(
                servname,
                "topology_template.groups"))
            substition_list= list(onap_utils.get_template_param(
                servname,
                "topology_template.substitution_mappings"))
        except ValueError:
            LOGGER.error(
                "Incomplete produced tosca file")
            sys.exit(1)



PROXY = onap_utils.get_config("general.proxy")

LOGGER = logging.getLogger('onap_tests.scenario.vnf')

logging.config.fileConfig(pkg_resources.resource_filename(
    'onap_tests', 'onap-conf/logging.ini'))
logging.captureWarnings(True)

service =  onboard.Onboard(vendor_name= "{{ vendor_name }}",
                         service_name= "{{ service_name }}{{ service_number }}",
                         customer_name= "{{ customer_name }}")
service.onboard_vendor()
service.onboard_vsp()
service.onboard_vf()
service.onboard_service()

check_toscafile("{{ service_name }}{{ service_number }}")
